## org.apache.ivy.osgi.core
Class OSGiManifestParser

    java.lang.Object
      org.apache.ivy.osgi.core.OSGiManifestParser

All Implemented Interfaces:
  ModuleDescriptorParser

    public class OSGiManifestParser

extends java.lang.Object
implements ModuleDescriptorParser

Constructor Summary
`OSGiManifestParser()`

Method Summary
`boolean` `accept(Resource res)`
`void` `add(ExecutionEnvironmentProfileProvider pp)`
`static OSGiManifestParser` `getInstance()`
`Artifact` `getMetadataArtifact(ModuleRevisionId mrid, Resource res)` Returns the module metadata artifact corresponding to the given module revision id that this parser parses
`java.lang.String` `getType()` Return the 'type' of module artifacts this parser is parsing
`ModuleDescriptor` `parseDescriptor(ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)`
`ModuleDescriptor` `parseDescriptor(ParserSettings ivySettings, java.net.URL descriptorURL, Resource res, boolean validate)`
`void` `toIvyFile(java.io.InputStream is, Resource res, java.io.File destFile, ModuleDescriptor md)` Convert a module descriptor to an ivy file.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OSGiManifestParser

    public OSGiManifestParser()

Method Detail

### getInstance

    public static OSGiManifestParser getInstance()

### add

    public void add(ExecutionEnvironmentProfileProvider pp)

### accept

    public boolean accept(Resource res)

  Specified by:
    `accept` in interface `ModuleDescriptorParser`

### parseDescriptor

    public ModuleDescriptor parseDescriptor(ParserSettings ivySettings,
                                            java.net.URL descriptorURL,
                                            Resource res,
                                            boolean validate)
                                     throws java.text.ParseException,
                                            java.io.IOException

  Specified by:
    `parseDescriptor` in interface `ModuleDescriptorParser`
  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### toIvyFile

    public void toIvyFile(java.io.InputStream is,
                          Resource res,
                          java.io.File destFile,
                          ModuleDescriptor md)
                   throws java.text.ParseException,
                          java.io.IOException

  Description copied from interface: `ModuleDescriptorParser`
  Convert a module descriptor to an ivy file. This method MUST close the given input stream when job is finished

  Specified by:
    `toIvyFile` in interface `ModuleDescriptorParser`
  Parameters:
    `is` - input stream with opened on original module descriptor resource
  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### parseDescriptor

    public ModuleDescriptor parseDescriptor(ParserSettings ivySettings,
                                            java.net.URL descriptorURL,
                                            boolean validate)
                                     throws java.text.ParseException,
                                            java.io.IOException

  Specified by:
    `parseDescriptor` in interface `ModuleDescriptorParser`
  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### getType

    public java.lang.String getType()

  Description copied from interface: `ModuleDescriptorParser`
  Return the 'type' of module artifacts this parser is parsing

  Specified by:
    `getType` in interface `ModuleDescriptorParser`
  Returns:
    the 'type' of module artifacts this parser is parsing

### getMetadataArtifact

    public Artifact getMetadataArtifact(ModuleRevisionId mrid,
                                        Resource res)

  Description copied from interface: `ModuleDescriptorParser`
  Returns the module metadata artifact corresponding to the given module revision id that this parser parses

  Specified by:
    `getMetadataArtifact` in interface `ModuleDescriptorParser`
  Parameters:
    `mrid` - the module revision id for which the module artifact should be returned
    `res` - the resource for which the module artifact should be returned
  Returns:
    the module artifact corresponding to the given mrid and resource

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`